ubuntu/+source/gnome-user-share:debian/stretch

Last commit made on 2016-09-20
Get this branch:
git clone -b debian/stretch https://git.launchpad.net/ubuntu/+source/gnome-user-share
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
debian/stretch
Repository:
lp:ubuntu/+source/gnome-user-share

Recent commits

58c28a0... by Michael Biebl on 2016-09-20

Import patches-unapplied version 3.18.3-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ff2b826e6a2d7cdbfc48fb0ecdf761f0f7ee30bc

New changelog entries:
  * New upstream release.
  * Drop 30-build-Properly-expand-paths-in-gnome-user-share-webd.patch, merged
    upstream.
  * Bump debhelper compat level to 10.
  * Use non-multiarch path (/usr/lib/gnome-user-share) for libexecdir.

ff2b826... by Michael Biebl on 2016-09-02

Import patches-unapplied version 3.18.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d493ad9b65978a089d5d34fffbc469156d721ab2

New changelog entries:
  * New upstream release.
  * Add Build-Depends on systemd on Linux to get the correct path for the
    systemd user unit directory.
  * Add patch to ensure systemd is not mandatory so we can build on non-Linux
    architectures.
  * Bump Standards-Version to 3.9.8.
  * Drop debian/dirs, no longer needed.
  * Convert from cdbs to dh.
  * Bump debhelper compatibility level to 9.
  * Add patch to properly expand paths in gnome-user-share-webdav.desktop.

d493ad9... by Andreas Henriksson on 2016-03-24

Import patches-unapplied version 3.18.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 83227e9d3179c10ed953fdec4064ea5fd9b6ae8c

New changelog entries:
  * New upstream release.
  * Bump Standards-Version to 3.9.7

83227e9... by Andreas Henriksson on 2015-09-25

Import patches-unapplied version 3.18.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 45dd15e042697dc5708b6007e4cd8ce4d8ac0ba9

New changelog entries:
  * New upstream release.
    - drops ObexPush support which moved to gnome-bluetooth.
  * debian/rules: drop moving of obexpush autostart files.

45dd15e... by Andreas Henriksson on 2015-06-12

Import patches-unapplied version 3.14.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b5e368895a4354302457f387d7b0c511cb0bf490

New changelog entries:
  * New upstream release.

b5e3688... by Laurent Bigonville on 2014-11-28

Import patches-unapplied version 3.14.0-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 655e1931ff88933cefc817c56a1ac14be43a2393

New changelog entries:
  * debian/control.in: Depends against bluez-obexd instead of
    obex-data-server, gnome-user-share now uses the new interfaces

655e193... by Andreas Henriksson on 2014-09-22

Import patches-unapplied version 3.14.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 94060979de9a3224136e59f397c11a366a34a9c2

New changelog entries:
  * New upstream release.
  * Upload to unstable.

9406097... by Andreas Henriksson on 2014-09-13

Import patches-unapplied version 3.13.91-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: b8a487446c19eac2ce084a6cb81424170bf8461c

New changelog entries:
  * New upstream development release.
    - fixes build without bluetooth (eg. on kfreebsd & hurd).

b8a4874... by Andreas Henriksson on 2014-09-06

Import patches-unapplied version 3.13.2-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 8db399cbf13819f6b756783f6c35119c77f6ce37

New changelog entries:
  * New upstream development release.
    - Note: no longer started from gnome-session, now from g-s-d sharing.
  * Drop debian/patches/11_apache_noauth.patch
    - now included in upstream release.

8db399c... by Andreas Henriksson on 2014-07-15

Import patches-unapplied version 3.10.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 63bf92236285611f66d28820578ef97db53a09ca

New changelog entries:
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - drop libdbus-glib-1-dev
    - bump libgnome-bluetooth-dev to >= 3.9.3
  * Bump gnome-bluetooth dependency to also be >= 3.9.3 as the build-dep.
  * Drop debian/patches/02_bluetooth_optional.patch
    - configure option --disable-bluetooth now available in upstream release.
  * Add gnome-common build-dependency for autoreconf to succeed.
  * Bump libgnome-bluetooth-dev to >= 3.12.0-4~
    - this version fixes missing dependency on libudev-dev (avoids FTBFS)
  * Bump Standards-Version to 3.9.5